package com.elephant.framework.galaxy.aroad.module.zhjs.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.elephant.framework.galaxy.aroad.response.R;
import com.elephant.framework.galaxy.aroad.module.common.annotation.SysLog;
import com.elephant.framework.galaxy.aroad.module.zhjs.entity.ZhjsGcxm;
import com.elephant.framework.galaxy.aroad.module.zhjs.service.ZhjsGcxmService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import com.elephant.framework.galaxy.aroad.module.common.controller.BaseController;


/**
 * 工程项目信息表

 *
 * @author wangjian
 * @date 2019-04-08 18:14:32
 */
@RestController
@AllArgsConstructor
@RequestMapping("/zhjs/gcxm")
public class ZhjsGcxmController extends BaseController  {

  private final  ZhjsGcxmService zhjsGcxmService;

  /**
   * 分页查询
   * @param page 分页对象
   * @param zhjsGcxm 工程项目信息表

   * @return
   */
  @GetMapping("/page")
  public R getZhjsGcxmPage(Page page, ZhjsGcxm zhjsGcxm) {
    return  new R<>(zhjsGcxmService.page(page,Wrappers.query(zhjsGcxm)));
  }


  /**
   * 通过id查询工程项目信息表

   * @param id id
   * @return R
   */
  @GetMapping("/{id}")
  public R getById(@PathVariable("id") String id){
    return new R<>(zhjsGcxmService.getById(id));
  }

  /**
   * 新增工程项目信息表

   * @param zhjsGcxm 工程项目信息表

   * @return R
   */
  @SysLog("新增工程项目信息表")
  @PostMapping
  public R save(@RequestBody ZhjsGcxm zhjsGcxm){
    return new R<>(zhjsGcxmService.save(zhjsGcxm));
  }

  /**
   * 修改工程项目信息表

   * @param zhjsGcxm 工程项目信息表

   * @return R
   */
  @SysLog("修改工程项目信息表")
  @PutMapping
  public R updateById(@RequestBody ZhjsGcxm zhjsGcxm){
    return new R<>(zhjsGcxmService.updateById(zhjsGcxm));
  }

  /**
   * 通过id删除工程项目信息表

   * @param id id
   * @return R
   */
  @SysLog("删除工程项目信息表")
  @DeleteMapping("/{id}")
  public R removeById(@PathVariable String id){
    return new R<>(zhjsGcxmService.removeById(id));
  }

}
